Index: external/fastjet/ClusterSequenceArea.hh
===================================================================
--- external/fastjet/ClusterSequenceArea.hh	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/fastjet/ClusterSequenceArea.hh	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -1,6 +1,6 @@
-//FJSTARTHEADER
-// $Id: ClusterSequenceArea.hh 4442 2020-05-05 07:50:11Z soyez $
-//
-// Copyright (c) 2006-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+//STARTHEADER
+// $Id: ClusterSequenceArea.hh 2690 2011-11-14 14:57:54Z soyez $
+//
+// Copyright (c) 2006-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,9 +13,7 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development. They are described in the original FastJet paper,
-//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
+//  development and are described in hep-ph/0512210. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  quote the version you use and include a citation to the manual and
-//  optionally also to hep-ph/0512210.
+//  include a citation to the FastJet paper.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -27,5 +25,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//FJENDHEADER
+//ENDHEADER
 
 #ifndef __FASTJET_CLUSTERSEQUENCEAREA_HH__
@@ -80,14 +78,14 @@
 
   /// return the area associated with the given jet
-  virtual double area       (const PseudoJet & jet) const FASTJET_OVERRIDE {
+  virtual double area       (const PseudoJet & jet) const {
     return _area_base->area(jet);}
 
   /// return the error (uncertainty) associated with the determination
   /// of the area of this jet
-  virtual double area_error (const PseudoJet & jet) const FASTJET_OVERRIDE {
+  virtual double area_error (const PseudoJet & jet) const {
     return _area_base->area_error(jet);}
 
   /// return the 4-vector area
-  virtual PseudoJet area_4vector(const PseudoJet & jet) const FASTJET_OVERRIDE {
+  virtual PseudoJet area_4vector(const PseudoJet & jet) const {
     return _area_base->area_4vector(jet);}
 
@@ -110,5 +108,5 @@
   /// jet (see the BackgroundEstimator and Subtractor tools for more
   /// advanced usage)
-  virtual double empty_area(const Selector & selector) const FASTJET_OVERRIDE {
+  virtual double empty_area(const Selector & selector) const {
     return _area_base->empty_area(selector);}
 
@@ -122,15 +120,15 @@
   /// jet (see the BackgroundEstimator and Subtractor tools for more
   /// advanced usage)
-  virtual double n_empty_jets(const Selector & selector) const FASTJET_OVERRIDE {
+  virtual double n_empty_jets(const Selector & selector) const {
     return _area_base->n_empty_jets(selector);
   }
 
   /// true if a jet is made exclusively of ghosts
-  virtual bool is_pure_ghost(const PseudoJet & jet) const FASTJET_OVERRIDE {
+  virtual bool is_pure_ghost(const PseudoJet & jet) const {
     return _area_base->is_pure_ghost(jet);
   }
 
   /// true if this ClusterSequence has explicit ghosts
-  virtual bool has_explicit_ghosts() const FASTJET_OVERRIDE {
+  virtual bool has_explicit_ghosts() const {
     return _area_base->has_explicit_ghosts();
   }
@@ -144,5 +142,4 @@
   /// jet (see the BackgroundEstimator and Subtractor tools for more
   /// advanced usage)
-  //FASTJET_DEPRECATED_MSG("ClusterSequenceArea::get_median_rho_and_sigma(...) is deprecated since FastJet 3.0. Use the BackgroundEstimator series of tools instead")
   virtual void get_median_rho_and_sigma(const std::vector<PseudoJet> & all_jets,
 					const Selector & selector, 
@@ -150,7 +147,7 @@
                                         double & median, double & sigma,
                                         double & mean_area,
-					bool all_are_incl = false) const FASTJET_OVERRIDE {
+					bool all_are_incl = false) const {
     _warn_if_range_unsuitable(selector);
-    ClusterSequenceAreaBase::_get_median_rho_and_sigma(
+    ClusterSequenceAreaBase::get_median_rho_and_sigma(
                                  all_jets, selector, use_area_4vector,
 				 median, sigma, mean_area, all_are_incl);
@@ -161,10 +158,9 @@
   /// since we've overridden the 5-argument version above, we have to
   /// override the 4-argument version too.
-  //FASTJET_DEPRECATED_MSG("ClusterSequenceArea::get_median_rho_and_sigma(...) is deprecated since FastJet 3.0. Use the BackgroundEstimator series of tools instead")
   virtual void get_median_rho_and_sigma(const Selector & selector, 
                                         bool use_area_4vector,
-                                        double & median, double & sigma) const FASTJET_OVERRIDE {
-    ClusterSequenceAreaBase::_get_median_rho_and_sigma(selector,use_area_4vector,
-                                                       median,sigma);
+                                        double & median, double & sigma) const {
+    ClusterSequenceAreaBase::get_median_rho_and_sigma(selector,use_area_4vector,
+                                                      median,sigma);
   }
 
@@ -173,11 +169,10 @@
   /// since we've overridden the multi-argument version above, we have to
   /// override the 5-argument version too.
-  //FASTJET_DEPRECATED_MSG("ClusterSequenceArea::get_median_rho_and_sigma(...) is deprecated since FastJet 3.0. Use the BackgroundEstimator series of tools instead")
   virtual void get_median_rho_and_sigma(const Selector & selector, 
                                         bool use_area_4vector,
                                         double & median, double & sigma,
-					double & mean_area) const FASTJET_OVERRIDE {
-    ClusterSequenceAreaBase::_get_median_rho_and_sigma(selector,use_area_4vector,
-                                                       median,sigma, mean_area);
+					double & mean_area) const {
+    ClusterSequenceAreaBase::get_median_rho_and_sigma(selector,use_area_4vector,
+                                                      median,sigma, mean_area);
   }
 
@@ -186,10 +181,11 @@
   /// additionally checks compatibility between "range" and region in which
   /// ghosts are thrown.
-  //FASTJET_DEPRECATED_MSG("ClusterSequenceArea::parabolic_pt_per_unit_area(...) is deprecated since FastJet 3.0. Use the BackgroundEstimator series of tools instead")  
   virtual void parabolic_pt_per_unit_area(double & a, double & b, 
                                           const Selector & selector, 
                                           double exclude_above=-1.0, 
-                                          bool use_area_4vector=false) const FASTJET_OVERRIDE {
-    return _parabolic_pt_per_unit_area(a,b,selector,exclude_above,use_area_4vector);
+                                          bool use_area_4vector=false) const {
+    _warn_if_range_unsuitable(selector);
+    ClusterSequenceAreaBase::parabolic_pt_per_unit_area(
+                                a,b,selector, exclude_above, use_area_4vector);
   }
 
@@ -206,23 +202,8 @@
                                  const JetDefinition & jet_def);
 
-  SharedPtr<ClusterSequenceAreaBase> _area_base;
+  std::auto_ptr<ClusterSequenceAreaBase> _area_base;
   AreaDefinition _area_def;
   static LimitedWarning _range_warnings;
   static LimitedWarning _explicit_ghosts_repeats_warnings;
-
-  // the following set of private methods are all deprecated. Their
-  // role is simply to hide the corresponding methods (without the
-  // first underscore) from the public interface so that they can be
-  // used internally until all the deprecated methods are removed.
-  // DO NOT USE ANY OF THESE METHODS: THEY ARE DEPRECATED AND WILL BE
-  // REMOVED.
-  virtual void _parabolic_pt_per_unit_area(double & a, double & b, 
-                                          const Selector & selector, 
-                                          double exclude_above=-1.0, 
-                                          bool use_area_4vector=false) const FASTJET_OVERRIDE {
-    _warn_if_range_unsuitable(selector);
-    ClusterSequenceAreaBase::_parabolic_pt_per_unit_area(
-                                a,b,selector, exclude_above, use_area_4vector);
-  }
 
 };
@@ -264,12 +245,10 @@
     break;
   default:
-    std::ostringstream err;
-    err << "Error: unrecognized area_type in ClusterSequenceArea:" 
-	<< _area_def.area_type();
-    throw Error(err.str());
-    //exit(-1);
+    std::cerr << "Error: unrecognized area_type in ClusterSequenceArea:" 
+              << _area_def.area_type() << std::endl;
+    exit(-1);
   }
   // now copy across the information from the area base class
-  _area_base = SharedPtr<ClusterSequenceAreaBase>(_area_base_ptr);
+  _area_base = std::auto_ptr<ClusterSequenceAreaBase>(_area_base_ptr);
   transfer_from_sequence(*_area_base);
 }
